com.r3corda.core.testing / LedgerDSL

# LedgerDSL

`class LedgerDSL<out T : TransactionDSLInterpreter, out L : LedgerDSLInterpreter<T>> : LedgerDSLInterpreter<TransactionDSLInterpreter>`

This is the class that defines the syntactic sugar of the ledger Test DSL and delegates to the contained interpreter, and what is actually used in `ledger{(...)}`. Add convenience functions here, or if you want to extend the DSL functionality then first add your primitive to LedgerDSLInterpreter and then add the convenience defaults/extension methods here.

### Constructors

<init> | `LedgerDSL(interpreter: L)` This is the class that defines the syntactic sugar of the ledger Test DSL and delegates to the contained interpreter, and what is actually used in `ledger{(...)}`. Add convenience functions here, or if you want to extend the DSL functionality then first add your primitive to LedgerDSLInterpreter and then add the convenience defaults/extension methods here.

### Properties

interpreter | `val interpreter: L`

### Functions

output | `fun <S : ContractState> String.output(): S` Retrieves the output TransactionState based on the label.
outputStateAndRef | `fun <S : ContractState> String.outputStateAndRef(): StateAndRef<S>`
retrieveOutput | `fun <S : ContractState> retrieveOutput(clazz: Class<S>, label: String): S`
transaction | `fun transaction(label: String? = null, transactionBuilder: TransactionBuilder = TransactionBuilder(notary = DUMMY_NOTARY), dsl: TransactionDSL<TransactionDSLInterpreter>.() -> EnforceVerifyOrFail): WireTransaction`
unverifiedTransaction | `fun unverifiedTransaction(label: String? = null, transactionBuilder: TransactionBuilder = TransactionBuilder(notary = DUMMY_NOTARY), dsl: TransactionDSL<TransactionDSLInterpreter>.() -> Unit): WireTransaction`

### Extension Functions

ledger | `fun LedgerDSLInterpreter<TransactionDSLInterpreter>.ledger(dsl: LedgerDSL<TestTransactionDSLInterpreter, TestLedgerDSLInterpreter>.() -> Unit): Unit`
signAll | `fun LedgerDSL<TestTransactionDSLInterpreter, TestLedgerDSLInterpreter>.signAll(vararg extraKeys: KeyPair): <ERROR CLASS>` Signs all transactions in the ledger.